> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateGarnishment

> The `updateGarnishment` API is used to make changes to an existing garnishment entry for an employee

---
- An employee's active garnishments and garnishmentIds can be viewed using the `getUser` API
- Garnishment form fields can be retrieved using `getGarnishmentFormFields`
- The amount withheld per pay period is automatically calculated from the total amount and frequency since the garnishment schedule may differ from the paySchedule
---

### When to use:
- When the garnishment details entered initially were incorrect, but the garnishment does apply to the employee
- When payments have been made outside of payroll to reduce the employee's liability for the added garnishment
- When a garnishment is no longer applicable to the employee, or the total amount of liability has changed



## OpenAPI

````yaml put /adminPortal/updateGarnishment
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /adminPortal/updateGarnishment:
    put:
      tags: []
      summary: updateGarnishment
      description: >-
        The `updateGarnishment` API is used to make changes to an existing
        garnishment entry for an employee


        ---

        - An employee's active garnishments and garnishmentIds can be viewed
        using the `getUser` API

        - Garnishment form fields can be retrieved using
        `getGarnishmentFormFields`

        - The amount withheld per pay period is automatically calculated from
        the total amount and frequency since the garnishment schedule may differ
        from the paySchedule

        ---


        ### When to use:

        - When the garnishment details entered initially were incorrect, but the
        garnishment does apply to the employee

        - When payments have been made outside of payroll to reduce the
        employee's liability for the added garnishment

        - When a garnishment is no longer applicable to the employee, or the
        total amount of liability has changed
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                userId:
                  type: string
                companyId:
                  type: string
                garnishmentId:
                  type: string
                garnishmentFields:
                  type: object
                  properties: {}
                  description: >-
                    Dynamic object containing fields retrieved with
                    getGarnishmentFormFields
              required:
                - method
                - userId
                - companyId
                - garnishmentId
                - garnishmentFields
            example:
              method: updateUserGarnishment
              userId: 1755E872-9092-4ECE-8386-860531D492D3
              companyId: 21DA3F1A-E593-42EE-95F5-A22EDF6382F0
              garnishmentId: 52F6249E-F4ED-40C2-B25F-39BB99BCF98D
              garnishmentFields:
                County: Polk
                Case Number: '9218729'
                Start Date: '2026-03-03'
                End Date: '2026-09-09'
                Total Withholding Amount: 1000
                Frequency (Per): Weekly
                Maximum Withholding Percentage: 0.1
                Choose who will be paying the agency: I want my payroll provider to make the payments
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                success: true
                garnishmentId: 52F6249E-F4ED-40C2-B25F-39BB99BCF98D
                message: Update successful
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid CompanyId
          headers: {}
      deprecated: false
      security: []

````